Bug 510860 - Gwenview crashes on clicking Save All
Gwenview crashes on clicking Save All
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gwenview (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-11 14:53 EDT by Andrea
Modified: 2010-06-28 09:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:34:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
thread apply all bt (5.96 KB, text/plain)
2009-07-11 14:53 EDT, Andrea
no flags Details
stack trace of a different bug (4.57 KB, text/plain)
2009-07-12 04:58 EDT, Andrea
no flags Details
An other side of the same bug? (3.22 KB, text/plain)
2009-07-12 05:07 EDT, Andrea
no flags Details
stack trace with debuginfo of Qt (4.63 KB, text/plain)
2009-07-12 15:58 EDT, Andrea
no flags Details

  None (edit)
Description Andrea 2009-07-11 14:53:29 EDT
Created attachment 351355 [details]
thread apply all bt

Description of problem:

Gwenview crashes randomly when "Saving All" is clicked.

Version-Release number of selected component (if applicable):

It happens with version 2.2.4 shipped with F11, but the same used to happen in F11

How reproducible:

The bug does not happen always, the following is an attempt to reproduce it
(which might need to be repeated a few times)

Steps to Reproduce:
1. view an image
2. rotate it
3. move to the next
4. repeat 1-3 for a few images
5. press Save All
6. crash
  
Actual results:

Crash

Expected results:

No crash

Additional info:

I've managed to replicate it with kdegraphics-debuginfo and inside gdb.
I attach the output of "thread apply all bt"

The following has been printed as well (not sure it is related)

...
"/usr/bin/gwenview(2874)" Error in thread 3064122224 : "Unsupported operation (2)": "Invalid model"
"/usr/bin/gwenview(2874)" Error in thread 3064122224 : "org.freedesktop.DBus.Error.ServiceUnknown - The name org.kde.nepomuk.services.nepomukstorage was not provided by any .service files"
"/usr/bin/gwenview(2874)" Error in thread 3064122224 : "Unsupported operation (2)": "Invalid model"
"/usr/bin/gwenview(2874)" Error in thread 3064122224 : "Invalid iterator."
"/usr/bin/gwenview(2874)" Error in thread 3064122224 : "org.freedesktop.DBus.Error.ServiceUnknown - The name org.kde.nepomuk.services.nepomukstorage was not provided by any .service files"      
"/usr/bin/gwenview(2874)" Error in thread 3064122224 : "Unsupported operation (2)": "Invalid model"
"/usr/bin/gwenview(2874)" Error in thread 3064122224 : "org.freedesktop.DBus.Error.ServiceUnknown - The name org.kde.nepomuk.services.nepomukstorage was not provided by any .service files"     
"/usr/bin/gwenview(2874)" Error in thread 3064122224 : "Unsupported operation (2)": "Invalid model"
"/usr/bin/gwenview(2874)" Error in thread 3064122224 : "Invalid iterator."
Comment 1 Andrea 2009-07-12 04:58:40 EDT
Created attachment 351380 [details]
stack trace of a different bug

This is an other stack trace of a different crash.
Always triggered by "Save All".

I've deleted the .thumbnail and tried to reproduce the first crash.
Here I've rotated a few images in the browse folder and then saved them all.
(It does not happen always though).
Comment 2 Andrea 2009-07-12 05:07:01 EDT
Created attachment 351381 [details]
An other side of the same bug?

This is a slightly different stack trace of a crash always generated by "Save All".

Is it possible that they are all caused by the same issue?
Comment 3 Andrea 2009-07-12 15:58:56 EDT
Created attachment 351402 [details]
stack trace with debuginfo of Qt

Hi,

I've reproduced the bug with qt-debuginfo and this is the new back trace.
This is the same situation as the first file attached to this bug (351355).

I can reproduce the crash fairly easy now, but I can fall in about 3 different situations.

This is the one where the innermost function is close to gwenview, while the other 2 are in some locations difficult to understand.
Comment 4 Andrea 2009-07-13 04:07:33 EDT
(In reply to comment #0)
> Created an attachment (id=351355) [details]
> thread apply all bt
> 
> Description of problem:
> 
> Gwenview crashes randomly when "Saving All" is clicked.
> 
> Version-Release number of selected component (if applicable):
> 
> It happens with version 2.2.4 shipped with F11, but the same used to happen in
> F11
  ^^^

I meant Fedora 9.
I have the same crash in F9 and F11, and I've done a complete reinstall not an upgrade.
Comment 5 Andrea 2009-07-14 15:44:08 EDT
It seems it has been fixed upstream

https://bugs.kde.org/show_bug.cgi?id=189992

for KDE 4.3

I don't know when it will reach my F11, but it would be nice to have an updated version of kdegraphics with the fix.
Comment 6 Phil Smith 2009-07-28 08:41:54 EDT
I get the same random crash on "save all" and also can make it crash every time by doing this:
0. start with F11 x86_64 install + updates (to today)
   or F10 x64_64 install + updates 
1. mkdir /tmp/pp ; cp image.jpg /tmp/pp ; cd /tmp/pp
2. gwenview .
3. hover over image and click on anticlockwise rotate button when it appears
4. ... crash ... with "Recursive repaint detected"

This may also have been fixed in the latest version but it does make gwenview somewhat useless until we get the next kde for F11.

I agree: unless there is an imminent kde update, a quick patch would be very wise.
Comment 7 Sergio Monteiro Basto 2009-08-22 14:17:20 EDT
I got same problem now that  want organize my summer photos ...
Anyway to get kde updated  ? 4.3 also
Comment 8 Phil Smith 2009-09-16 04:21:41 EDT
Did a yum update, which got me 4.3.1, and now my comment #6 crash has gone away. Works for me now.
Comment 9 Sergio Monteiro Basto 2009-11-16 11:05:54 EST
(In reply to comment #8)
> Did a yum update, which got me 4.3.1, and now my comment #6 crash has gone
> away. Works for me now.  

with 4.3.1+ this issue is also fixed for me .

Thanks,
Comment 10 Bug Zapper 2010-04-27 11:37:00 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 09:34:44 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.